
import cantera as ct # cantera can be downloaded from https://cantera.org/install/ubuntu-install.html

mech_file = 'mech_file.cti'

# mech_file is chemical mechanism in cti file format, NB: it is possible to convert chemkin file format to cti

gas = ct.Solution(mech_file)

# set the initial temperature and pressure
gas.TP = Tmix , Pcc

equivalence_ratio = 2.0

gas.set_equivalence_ratio(equivalence_ratio, 'CH4:1.0','O2:1.0,N2:3.76')

# compute the chemical equilibruim holding specific enthalpy and pressure fixed
gas.equilibrate('HP')

# print the 
print(gas.T) 